@import './tooltips.css';

*{
	margin:0;
	padding:0;
}
html {
	background-color: #efefef;
}

body {
	background-color: #efefef;
	margin:20px 0px;
	font-family: Verdana, Helvetica, Arial;
	font-size:62.5%;
	color:#444;
}

a img {
	border: none;
}
.normal_font {
	font-size:12px;
}
a {
	color: #0000FF;
	color:#0066cc;
}

h1 {
	font-size:18px;
	font-weight:bold;
}

h2 {
	font-size:14px;
	font-weight:bold;
}

h3 {
	font-size:12px;
	font-weight:bold;
}

.clear {
	clear: both;
	height: 0;
	overflow: hidden;
}

.footer {
	text-align:center;
	color:#aaa;
	font-size:10px;
}

.footer p {
	padding-top:10px;
}

.larger_font {
	font-size:12px;
}

.flash_success {font-size:12px;padding:10px;background:#daffcd;border:1px solid #7fcf00;margin-bottom:10px;}
.flash_success a{float:right;}
.flash_info {font-size:12px;padding:10px;background:#daffcd;border:1px solid #7fcf00;margin-bottom:10px;}
.flash_info a {float:right;}
.flash_error {font-size:12px;padding:10px;background:#ffcccc;border:1px solid #ff6666;margin-bottom:10px;}
.flash_error a {float:right;}


#container {
	/* WAS */
	width: 98%;
	margin: 0 auto;
	background-color: #FFF;
	border: solid 2px #ddd;
	margin-top: 20px;
}

#content {
	background-color: #FFF;
	padding: 0 20px 40px 20px;
	border: 0;
	margin-top: 20px;
}

.colorful_error {padding:10px;margin:10px 0px;background:#ffcccc;border:1px solid #ff6666;}
.colorful_success {padding:10px;margin:10px 0px;background:#daffcd;border:1px solid #7fcf00;}
.error_message {padding:10px;margin:10px 0px;background:#ffcccc;border:1px solid #ff6666;}
.success_message {padding:10px;margin:10px 0px;background:#daffcd;border:1px solid #7fcf00;}

#flash_notice, #flash_error {
	padding: 5px 8px;
	margin: 10px 0;
}

#flash_notice {
	background-color: #CFC;
	border: solid 1px #6C6;
}

#flash_error {
	background-color: #FCC;
	border: solid 1px #C66;
}


.fieldWithErrors {
	display: inline;
}

#errorExplanation {
	border: 2px solid #CF0000;
	padding: 0px;
	padding-bottom: 12px;
	margin-bottom: 20px;
	background-color: #f0f0f0;
}

#errorExplanation h2 {
	text-align: left;
	font-weight: bold;
	padding: 5px 5px 5px 15px;
	font-size: 1.2em;
	margin: 0;
	background-color: #c00;
	color: #fff;
}

#errorExplanation p {
	color: #333;
	margin-bottom: 0;
	padding: 8px;
}

#errorExplanation ul {
	margin: 2px 24px;
}

#errorExplanation ul li {
	font-size: 1.2em;
	list-style: disc;
}

#content h1.page_title {
	margin-bottom:20px;
}

.item_column{
	padding:10px 2px;
	border-bottom:1px solid black;
}

.as_hover{
	background-color:#edf5fe;
	background-color:#bad2ee;
}

#api_documentation ul {
	margin-bottom: 10px;
}
#api_documentation h2 {
	margin-top:40px;
}
#api_documentation p {
	margin:10px 0px;
}
#api_documentation h3 {
	margin:10px 0px;
}

#api_documentation li {
   list-style: none;
   margin:0px 10px;
}


#sensor_graph {
	width: 100%;
}


#dashboard_list {
	float: left;
	/* was 300 */
	width: 350px;
}

#dashboard_summary h1 {
	margin-bottom:4px;
}
#forward_back_arrows {
	float:right;
}
#forward_back_arrows td {
	padding: 0px 5px;
}


#sensor_list {
	width:100%;
}

#sensor_list .list_entry {
	padding:10px;
	border:1px solid #ccc;
	margin:5px 0;
}
#sensor_list .list_entry:hover {
	cursor:pointer;
}

#sensor_list img {
	float:left;
	display:inline;
	margin-right:5px;
}

#sensor_list .current_sensor {
    background: #ffffdd;
}
#sensor_list .highlight_row {
    background: #ffffdd;
}

.float_right{
	float:right;
}

#scaffold {
	display:block;
}

.scaffold_item {
	border: 1px solid #ccc;
	padding:10px;
	margin:10px 0;
}

.scaffold_item table {
	width:100%;
}

.scaffold_item td {
	padding:10px 5px;
	font-size:12px;
}

.scaffold_item th {
	text-align:left;
	font-size:14px;
	padding:10px 5px;
	background:#efefef;
}

.three_columns td {
	width:33%;
}

#chart_spinner{
	width:100%;
	text-align:center;
}

.hidden_chart {
	/* Can't just hide the class, or javascript can't talk to flash */
	height:0px;
}

.open_alert td{
	background-color:#ffcccc;
	border-top:1px solid #ff6666;
	border-bottom:1px solid #ff6666;
}

#container {width: 900px;width: 98%;}
#dashboard_list {width:300px;}
#sensor_list .list_entry {padding:10px 5px;}
#dashboard_summary {margin-left:310px;}
#dashboard_chart {margin-left:310px;}
#dashboard_calendar {margin-left:310px;}
#dashboard_notes {margin-left:0px;margin-left:310px;}
#content {padding: 0 10px 40px 10px;}


#summary_table{
	padding-top:1px;
	width:100%;
	border-right:1px solid #ddd;
}
#summary_table td {
	padding:3px;
	text-align:center;
	background:#efefef url("../images/grey88.png") repeat-x top left;
	width:20%;
	border:1px solid #ddd;
	border-right:0px;
}
#summary_table p {
	font-size:12px;
}

#summary_table .large_font {
	font-size:22px;
	font-weight:bold;
	color:#606060;
}
#summary_table .top_data{
	padding-bottom:8px;
}

#summary_table .in_range {color:#11af0d;}
#summary_table .not_in_range {color:#f30000;}
#summary_table .not_in_range_red {color:#f30000;}
#summary_table .not_in_range_blue {color:#0066cc;}


.styled_pagination {
text-align: center;
padding: .3em; }
.styled_pagination a, .styled_pagination span {
padding: .2em .5em; }
.styled_pagination span.disabled {
color: #AAA; }
.styled_pagination span.current {
font-weight: bold;
color: darkblue; }
.styled_pagination a {
border:1px solid #fff;
color: #0063DC;
text-decoration: none; }
.styled_pagination a:hover, .styled_pagination a:focus {
text-decoration:underline;
background:#efefef;
}
.styled_pagination .page_info {
color: #aaa;
padding-top: .8em; }
.styled_pagination .prev_page, .styled_pagination .next_page {
border-width: 2px; }
.styled_pagination .prev_page {
margin-right: 1em; }
.styled_pagination .next_page {
margin-left: 1em; }


.large_pagination {
	font-size:16px;
}

.large_pagination a {
	background:#f0f0f0;
	padding:8px;
	border:1px solid #ccc;
}
.large_pagination .prev_page, .styled_pagination .next_page {
  border-width: 1px;
}

#note_table {
	width:100%;
	font-size:12px;
	margin:5px 0;
	border-right:1px solid #ccc;
	border-left:1px solid #ccc;
}
#note_table th {
	background:#efefef url("../images/grey88.png") repeat-x top left;
	padding:10px;
	text-align:left;
	border:1px solid #ccc;
	border-right:0px;
}
#note_table td {
	padding:10px;
	border-bottom:1px solid #ccc;
}
#note_table .note_table_note {
	width:50%;
	border-left:0px;
}
#no_notes_header th {
	border-left:0px;	
}

#daily_export {text-align:center;padding-top:10px;}
#daily_export a{text-decoration:none;float:right;}
#daily_export a:hover{text-decoration:underline;}

.disabled_input_button {color:#aaa !important;border:1px solid #ccc !important;background:url('../images/as/g-back.png') #eae9ea repeat-x !important;cursor:default !important;}
.disabled_input_button :hover {background:url('../images/as/g-back.png') #eae9ea repeat-x !important;}
.system-setting {padding:0px;	margin-top:0px;margin-bottom:0px;}
.system-setting-title {background:#fff;border-bottom:1px solid #aaa;padding:10px;border-top:1px solid #0066cc;}
.system-setting-title img {float:left;}
.system-setting-title h3{margin-left:40px;font-size:16px;color:#444;padding:8px 0;}
.system-setting-options {background:#f5f5f5;padding:10px;}
.system-setting-input {font-size:12px;display:block;padding:5px;margin-bottom:5px;}
.system-setting-input  label {display:inline-block;width:160px;padding:2px 20px;}
.system-setting-input input {display:inline-block;width:180px;}
.system-setting-save {background:#fff;text-align:right;border-top:1px solid #aaa;	padding:10px;font-size:12px;}
.system-setting-save a {font-size:12px;padding: 8px 20px;text-decoration:none;font-weight:bold;}
.system-setting-save a:hover {text-decoration:underline;}

.system-setting-input p.radio_button input {width:20px;}
.system-setting-input p.radio_button {margin:0;padding:4px 0 2px 200px;}

.system-setting-save input {
    border: 1px solid #fff;display:inline-block;
    padding: 8px 40px;font-size:12px;font-weight:bold;color:#333;
	margin-right:10px;cursor:pointer;background: url('../images/button_back.png') repeat-x;
}
.system-setting-save input:hover {border: 1px solid #ccc;background: url('../images/button_back.png') repeat-x;}
.system-setting-saved input {color:#aaa;border:1px solid #ccc;background:url('../images/as/g-back.png') #eae9ea repeat-x;cursor:default;}
.system-setting-saved input:hover {background:url('../images/as/g-back.png') #eae9ea repeat-x;}
.system-setting-help {display:inline;color:#aaa;}
.system-setting-options p {font-size:12px;padding:10px 0;margin-bottom:10px;}

.system-setting-checkboxes {display:block;margin-left:205px;padding-top:5px;}
.system-setting-checkboxes p {display:block;margin:0 0 5px 0;	padding:0;}
.system-setting-checkboxes input {width:20px;}

.checkbox-input input{width:14px;}

div.system_setting_enabled {
	padding-top:10px;
	padding-bottom:10px;
	border:1px solid transparent;
}
div.system_setting_disabled {
	background:#eee;
	border:1px solid #aaa;
	padding-top:10px;
	padding-bottom:10px;
}
div.system_setting_disabled .system-setting-input {
	color:#888;
}
div.system_setting_disabled .system-setting-input input{
	color:#888;
	background:#eee;
	border:1px solid #aaa;
	padding:1px;
}


#cal {width:100%;}
#cal td{width:14%;}
.cal_day {
	text-align:right;
	font-size:12px;
	font-family:verdana;
	color:#444;
	font-weight:bold;
	background:#e2e2e2;
	padding:2px 5px;
	border-bottom:1px solid #ccc;
	border-right:1px solid #ccc;
}
.not_month {color:#aaa;background:#f2f2f2;}
.today_header {background:#d7d7ba;}
.cal_data {
	padding:5px;
	text-align:center;
	border-bottom:1px solid #aaa;
	border-right:1px solid #ccc;
	height:70px;
	font-size:14px;
	background:#fff;
}
.cal_data:hover {background:#ffffdd;cursor:pointer;}
.today {background:#fff9c1;background:#ffffdd;}
.day_average {font-size:15px;font-weight:bold;}
.day_min_max {font-size:10px;color:#444;font-weight:bold;margin-top:15px;}
.day_header td {
	text-align:center;
	background:#0066cc;
	font-size:12px;
	font-weight:bold;
	color:#fff;
	padding:5px 0;
	border-bottom:1px solid #aaa;
}
.date_header td{padding:10px 0;border-bottom:1px solid #aaa;}
.prev_month {font-size:12px;}
.current_month {text-align:center;padding-left:10px;font-size:20px;font-weight:bold;}
.next_month {font-size:12px;text-align:right;}
.first{border:1px solid #ccc;border-top:0px;}




.dashboard_visible {
	position:static
}
.dashboard_hidden {
	position:absolute;
	top:-10000px;
	left:0px;
}
#dashboard_tabs {
	display:block;
	background:#fff;
	padding-bottom:5px;
	padding-top:4px;
	text-align:right;
	margin-top:10px;
}
#dashboard_tabsa a {
	border:1px solid #ccc;
	font-size:12px;
	font-weight:bold;
	color:#0066cc;
	text-decoration:none;
	padding:8px 15px 5px 15px;
    background: #f3f9ff;
}
#dashboard_tabsa a:hover {
	text-decoration:underline;
    background: #fff;
}
#dashboard_tabsa .tab_current {
	background:#fff;
	border-bottom:1px solid #fff;
}
#dashboard_tabsa .tab_off {
	background:#f3f9ff;
	border-bottom:1px solid #ccc;
}


#dashboard_tabs {padding-bottom:10px;}
#dashboard_tabs a { 
	background-position: 0px 50%;
	border:1px solid #aaa;
	color:#0066cc;
	text-decoration:none;
	font: normal normal bold 14px/normal arial;
	padding-left:25px;
}
#chart_link {background: url('../images/chart-button.png') #f9f9f9 repeat-x;}
#chart_link:hover {background: url('../images/chart-button-hover.png') #dfe0e1 repeat-x;background-position: 0px 50%;}
#calendar_link {background: url('../images/calendar-button.png') #f9f9f9 repeat-x;}
#calendar_link:hover {background: url('../images/calendar-button-hover.png') #dfe0e1 repeat-x;background-position: 0px 50%;}
#dashboard_tabs a  {padding:3px 8px 4px 25px;}


#dashboard_time {
	display:block;
	text-align:right;
	padding-top:15px;
	padding-bottom:15px;
}
#dashboard_time_inner {
	margin-right:125px;
	margin-right:80px;
}
#dashboard_time_inner a {padding:8px;text-decoration:none;font-weight:bold;border:1px solid #fff;}
#dashboard_time_inner a:hover {text-decoration:underline;background:#f2f2f2;border:1px solid #ccc;}
#dashboard_time_inner .current_timeframe {padding:8px;font-weight:bold;border:1px solid #ccc;}


#export_link {
	float:right;
	margin-top:-2px;
}
#export_link a{
	padding:5px;
	border:1px solid #aaa;
	color:#0066cc;
	text-decoration:none;
	font: normal normal bold 12px/normal arial;
	padding-left:28px;
	background: url('../images/export-button.png') #f9f9f9 repeat-x;
	background-position: 0px 50%;
}
#export_link a:hover {
	text-decoration:underline;
	background: url('../images/export-button-hover.png') #dfe0e1 repeat-x;
	background-position: 0px 50%;
	border:1px solid #aaa;
}


#dashboard_summary {margin-left:0px;}
#dashboard_chart {margin-left:0px;}
#dashboard_calendar {margin-left:0px;}
#dashboard_notes {margin-left:0px;}
#dashboard_list {float:none;position:static;top:0px;}
#wrap_table {width:100%;}
#wrap_table td.wrap_table_first{width:310px;}
#wrap_table td.wrapped_table_td {vertical-align:top;}




#admin_content {background-color: #FFF;border: 0;margin-top: 0px;padding:0px;}
.clear_both {clear:both;}
#admin_table {width:100%;}
#admin_table {}

#admin_content_menu {width:230px;background:#f5f5f5;padding-bottom:100px;vertical-align:top;}
#admin_content_content {padding:10px 10px 20px 16px;background:url('../images/grad_left.png') #fff repeat-y;border-left:0px;vertical-align:top;}
#admin_content_content td{vertical-align:center;}
.admin_menu_heading {	padding:10px;border-bottom:1px solid #888;font-size:12px;
	color:#fff;font-weight:bold;background:url('../images/admin_sub_menu_header.png') #efefef repeat-x;
	background-position:bottom;margin-bottom:10px;
	
	background:#fff;color:#333;font-size:14px;text-align:center;padding:10px;
}


.admin_menu_item {
	padding:8px 10px 8px 20px;border-top:1px solid #fff;border-bottom:1px solid #aaa;
	background:url('../images/admin_menu_back.png') #f2f2f2 repeat-x;font-size:12px;font-weight:bold;margin-top:1px;
	
	color:#222;display:block;text-decoration:none;
}
.admin_menu_item:hover {cursor:pointer;color:#0066cc;background:url('../images/admin_menu_back_flip.png') #efefef repeat-x;}
.admin_selected {background:url('../images/admin_menu_back_hightlight.png') #efefef repeat-x;color:#fff;}
.admin_selected:hover {color:#fff;background:url('../images/admin_menu_back_hightlight.png') #efefef repeat-x;}

.indiactor_arrow {float:right;margin-top:2px;}
.admin_selected .indiactor_arrow {display:none;}
.admin_menu_break {color:#aaa;padding:10px 0 1px 10px;font-size:14px;font-variant:small-caps;}
.more-rule-options {font-size:12px;font-weight:bold;}

input.small_text_field {width:20px;}



#sensor_grid {
	width:100%;
	overflow:wrap;
	word-wrap: break-word;
}

.inline_block {
	display:block;
	float:left;
	
	text-align:left;
	margin:5px;
	width:200px;
	
	border:1px solid #ccc;
	border-top:1px solid #ddd;
	border-left:1px solid #ddd;
	
	background:#fefefe;
}

.grid_sensor {
}

.grid_sensor h2 {
	margin:0;padding:5px;
	border-bottom:1px solid #ccc;

	background:#f2f2f2 url('../images/light_grad_smaller.png') repeat-x;
	text-align:left;
}
.sensor_grid_table td {
	vertical-align:top;
}
.grid_sensor p.grid_sensor_title {
	font-size:12px;
	font-weight:bold;
	background:#f2f2f2 url('../images/light_grad_smaller.png') repeat-x;
	border-bottom:1px solid #ccc;
	padding:12px 5px 12px 40px;
	word-wrap:break-word;
}

.grid_sensor img.grid_sensor_image {
	float:left;
	padding:5px;
}

.grid_sensor_current {display:block;clear:both;text-align:center;}
.grid_sensor_current  h4 {
	font-size:12px;
	font-weight:normal;
	color:#aaa;
	margin:5px 0 0 0;
	padding:0;
}
.grid_sensor_current  p {
	font-size:32px;
	font-weight:bold;
	color:#222;
	margin:0;
	padding:0;
}



.grid_sensor_low {display:inline; float:left; width:80px;text-align:center;margin-left:19px;}
.grid_sensor_high {display:inline; float:right; width:80px;text-align:center;margin-right:19px;}


.grid_sensor_low  h4 {
	font-size:10px;
	font-weight:normal;
	color:#aaa;
	margin:5px 0 0 0;
	padding:0;
}
.grid_sensor_low p {
	font-size:12px;
	font-weight:bold;
	color:#222;
	margin:0;
	padding:0;
}

.grid_sensor_high  h4 {
	font-size:10px;
	font-weight:normal;
	color:#aaa;
	margin:5px 0 0 0;
	padding:0;
}
.grid_sensor_high p {
	font-size:12px;
	font-weight:bold;
	color:#222;
	margin:0;
	padding:0;
}


.grid_sensor_condition {
  padding:5px;	
}
.grid_sensor_condition p span {
	color:#aaa;
}
.grid_sensor_condition p {
	font-size:12px;
}

.sensor_header_info {
	font-size:12px;
}
.sensor_header_info a {
    text-decoration: none;
}
.sensor_header_info a:hover {
    text-decoration: underline;
}

.sensor_list_table {
	width:100%;
	border-top:1px solid #aaa;
	border-left:1px solid #aaa;
}
.sensor_list_table th {
	padding:8px 4px;
	background:#f2f2f2 url('../images/light_grad_smaller.png') repeat-x;
	font-size:12px;
	text-align:left;
	border-top: 1px solid #ccc;
	border-bottom:1px solid #aaa;
	border-right:1px solid #ccc;
	border-left:1px solid #eee;
	
}
.sensor_list_table td {
	padding:4px;
	border-top: 1px solid #ccc;
	border-right:1px solid #ccc;
	border-bottom:1px solid #ccc;
	border-left:1px solid #eee;
	font-size:12px;
}

.sensor_list_table td.list_sensor_title {
	width:300px;
	word-wrap:break-word;
}

.sensor_list_table td.list_sensor_image {
	width:32px;
}
.sensor_list_table td.list_sensor_image img {
	width:32px;height:32px;
}

.sensor_list_table td.tooltip {
	padding:4px;
	border-top: 1px solid #eee;
	border-right:1px solid #999;
	border-bottom:1px solid #999;
	border-left:1px solid #eee;
	font-size:12px;
}

.sensor_list_table td.tooltip:hover{
	padding:4px;
	border-top: 1px solid #999;
	border-right:1px solid #eee;
	border-bottom:1px solid #eee;
	border-left:1px solid #999;
	font-size:12px;
}

.sensor_list_table tr.ack_required_high td.list_sensor_image {
	border-left:5px solid #ff6666;
	background:url('../images/temp_red.png') no-repeat;
	background-position:4px 4px;
	height:28px;
	width:28px;
}
.sensor_list_table tr.ack_required_low td.list_sensor_image {
	border-left:5px solid #0066cc;
	background:url('../images/temp_blue.png') no-repeat;
	background-position:4px 4px;
	height:28px;
	width:28px;
}
.sensor_list_table tr.ack_required_no_data td.list_sensor_image {
	background:url('../images/temp_gray.png') no-repeat;
	background-position:4px 4px;
	height:28px;
	width:28px;
}
.sensor_list_table tr.ack_required_ok td.list_sensor_image {
	background:url('../images/temp_green.png') no-repeat;
	background-position:4px 4px;
	height:28px;
	width:28px;
}
.sensor_list_table tr.ack_required_anomaly td.list_sensor_image {
	background:url('../images/warning.png') no-repeat;
	background-position:4px 4px;
	height:28px;
	width:28px;
}
.sensor_list_table tr.ack_required_door_ajar_alert td.list_sensor_image {
	border-left:5px solid #000000;
	background:url('../images/door_open.png') no-repeat;
	background-position:4px 4px;
	height:28px;
	width:28px;
}
.sensor_list_table tr.ack_required_high_and_door_ajar_alert td.list_sensor_image {
	border-left:5px dashed #ff6666;
	background:url('../images/temp_red.png') no-repeat;
	background-position:4px 4px;
	height:28px;
	width:28px;
}
.sensor_list_table tr.ack_required_low_and_door_ajar_alert td.list_sensor_image {
	border-left:5px dashed #0066cc;
	background:url('../images/temp_blue.png') no-repeat;
	background-position:4px 4px;
	height:28px;
	width:28px;
}
.sensor_list_table tr.ack_required_door_open td.list_sensor_image {
	background:url('../images/door_open.png') no-repeat;
	background-position:4px 4px;
	height:28px;
	width:28px;
}
.sensor_list_table tr.ack_required_maintenance td.list_sensor_image {
	background:url('../images/maintenance.png') no-repeat;
	background-position:4px 4px;
	height:28px;
	width:28px;
}


.sensor_list_table tr.ack_required_high td.action_column {
	border-right:5px solid #ff6666;
}
.sensor_list_table tr.ack_required_low td.action_column {
	border-right:5px solid #0066cc;
}
.sensor_list_table tr.ack_required_door_ajar_alert td.action_column {
	border-right:5px solid #000000;
}
.sensor_list_table tr.ack_required_high_and_door_ajar_alert td.action_column {
	border-right:5px dashed #ff6666;
}
.sensor_list_table tr.ack_required_low_and_door_ajar_alert td.action_column {
	border-right:5px dashed #0066cc;
}	

a.button_grid_view {
	float:right;
	font: bold 14px arial;
	color: #06C;
	letter-spacing: -1px;
	text-decoration: none;
	padding: 1px 2px;
	white-space: nowrap;
	background-color: #EFEFEF;
	border: 1px solid #CCC;
	background-image:url('../images/as/list-grid-button.png');
	background-repeat:no-repeat;
	background-position: 0px 50%;
	padding: 4px 8px 4px 25px;
	
	margin:10px 5px 20px 5px;
}
a.button_grid_view:hover {
	background-image:url('../images/as/list-grid-button-hover.png');	
}
a.button_list_view {
	float:right;
	font: bold 14px arial;
	color: #06C;
	letter-spacing: -1px;
	text-decoration: none;
	padding: 1px 2px;
	white-space: nowrap;
	background-color: #EFEFEF;
	border: 1px solid #CCC;
	background-image:url('../images/as/list-button.png');
	background-repeat:no-repeat;
	background-position: 0px 50%;
	padding: 4px 8px 4px 25px;
	
	margin:10px 5px 20px 5px;
}
a.button_list_view:hover {
	background-image:url('../images/as/list-button-hover.png');	
}
a.button_export_view {
	float:right;
	font: bold 14px arial;
	color: #06C;
	letter-spacing: -1px;
	text-decoration: none;
	padding: 1px 2px;
	white-space: nowrap;
	background-color: #EFEFEF;
	border: 1px solid #CCC;
	background-image:url('../images/as/export.png');
	background-repeat:no-repeat;
	background-position: 0px 50%;
	padding: 4px 8px 4px 25px;
	
	margin:10px 5px 20px 5px;
}
a.button_export_view:hover {
	background-image:url('../images/as/export-hover.png');	
}
a.button_search_view {
	float:right;
	font: bold 14px arial;
	color: #06C;
	letter-spacing: -1px;
	text-decoration: none;
	padding: 1px 2px;
	white-space: nowrap;
	background-color: #EFEFEF;
	border: 1px solid #CCC;
	background-image:url('../images/as/search-button.png');
	background-repeat:no-repeat;
	background-position: 0px 50%;
	padding: 4px 8px 4px 25px;
	
	margin:10px 5px 20px 5px;
}
a.button_search_view:hover {
	background-image:url('../images/as/search-button-hover.png');	
}

.needs_confirmation {
	color:#ff0000;
	font-size:10px;
	font-weight:bold;
}

.temp_red {border:4px solid #ff0000;}
.temp_red h2{border-bottom:1px solid #ff0000;}
.temp_red .grid_sensor_current p {color:#ff0000;}

.temp_blue {border:4px solid #0066cc;}
.temp_blue h2{border-bottom:1px solid #0066cc;}
.temp_blue .grid_sensor_current p {color:#0066cc;}

.temp_door_ajar {border:4px solid #000000;}
.temp_door_ajar h2{border-bottom:1px solid #000000;}
.temp_door_ajar .grid_sensor_current p {color:#000000;}

.temp_red_and_door_ajar {border:4px dashed #ff0000;}
.temp_red_and_door_ajar h2{border-bottom:1px dashed #ff0000;}
.temp_red_and_door_ajar .grid_sensor_current p {color:#ff0000;}

.temp_blue_and_door_ajar {border:4px dashed #0066cc;}
.temp_blue_and_door_ajar h2{border-bottom:1px dashed #0066cc;}
.temp_blue_and_door_ajar .grid_sensor_current p {color:#0066cc;}


div.temp_blue div.grid_sensor p.grid_sensor_title {
	background:url('../images/temp_blue.png') no-repeat;
	background-position:5px 5px;
}
div.temp_red div.grid_sensor p.grid_sensor_title {
	background:url('../images/temp_red.png') no-repeat;
	background-position:5px 5px;
}
div.temp_blue_and_door_ajar div.grid_sensor p.grid_sensor_title {
	background:url('../images/temp_blue.png') no-repeat;
	background-position:5px 5px;
}
div.temp_red_and_door_ajar div.grid_sensor p.grid_sensor_title {
	background:url('../images/temp_red.png') no-repeat;
	background-position:5px 5px;
}
div.temp_door_ajar div.grid_sensor p.grid_sensor_title {
	background:url('../images/door_open.png') no-repeat;
	background-position:5px 5px;
}
div.temp_door_open div.grid_sensor p.grid_sensor_title {
	background:url('../images/door_open.png') no-repeat;
	background-position:5px 5px;
}
div.temp_gray div.grid_sensor p.grid_sensor_title {
	background:url('../images/temp_gray.png') no-repeat;
	background-position:5px 5px;
}
div.temp_green div.grid_sensor p.grid_sensor_title {
	background:url('../images/temp_green.png') no-repeat;
	background-position:5px 5px;
}
div.temp_anomaly div.grid_sensor p.grid_sensor_title {
	background:url('../images/warning.png') no-repeat;
	background-position:5px 5px;
}
div.temp_maintenance div.grid_sensor p.grid_sensor_title {
	background:url('../images/maintenance.png') no-repeat;
	background-position:5px 5px;
}

.ack_box {
	width:100%;
	padding:2px;
	text-align:center;
}


.notes_box {
	display:block;
	margin-top:5px;
	padding:5px;
	text-align:center;
	border-top:1px solid #ccc;
	background:#fcfcfc;
	clear:both;
}

.notes_box img {
	margin-left:2px;
}
	
.sensor_grid_header {
	display:block;
	clear:both;
	border-bottom:1px solid #ccc;
	padding:5px;
	margin:5px 0;
}
.no_sensors {
	display:block;
	color:#aaa;
	font-size:20px;
	font-weight:normal;
	text-align:center;
	padding:50px 0;
}





.report_contents {
  border-left:1px solid #aaa;
  margin-bottom:20px;
}

.report_contents td {
  padding:2px 0px;
  border-bottom:1px solid #aaa;
  border-right:1px solid #aaa;
  text-align:center;
}

.report_contents td.first_row {
	padding:2px 5px;
  background:#f5f5f5;
}

.report_contents th {
  padding:5px;
  border-bottom:1px solid #aaa;
  border-top:1px solid #aaa;
  border-right:1px solid #aaa;
  background:#f5f5f5;
}


.report_contents td.am {
  width:30px;border-right:1px dashed #ccc;
  padding:2px 5px;font-size:10px;
}
.report_contents td.pm {
  width:30px;
  padding:2px 5px;
  font-size:10px;
}

.report_contents td.out_range {
  background:#ffcccc;
}

.report_contents td.hidden_day {border:0;}
.report_contents th.hidden_day {border:0;}

.report_contents tr td.small_initials {font-size:8px;}

#check_report_heading {
	display:block;
	text-align:center;
	margin-bottom:10px;
}
#check_report_heading h2 {
  display:block;
  text-align:center;
  font-size:20px;
  padding-bottom:5px;
}

#check_report_heading h2 span {
  font-size:18px;
  color:#888;
}

#check_report_heading p.check_month_heading {font-size:16px;font-weight:bold;}
#check_report_heading .prev_check_month a{float:left;text-decoration:none;font-size:16px;font-weight:bold;padding:20px 0;}
#check_report_heading .next_check_month a{float:right;text-decoration:none;font-size:16px;font-weight:bold;padding:20px 0;}
#check_report_heading .prev_check_month a:hover {text-decoration:underline;}
#check_report_heading .next_check_month a:hover {text-decoration:underline;}

.jcaho_sensor_notes {
	margin:10px 0;
	padding:10px;
	font-size:14px;
	color:#000;
}

.temp_report_image td {
	text-align:center;
}

.sensor_list_filters {
	font-size:12px;
	display:block;
	border:1px solid #ccc;
	background:#f2f2f2 url('../images/light_grad_smaller.png') repeat-x;
	padding:12px;
	margin-bottom:20px;
}
.nested-view .sensor_list_filters {display:none;}
.sensor_list_filters select {
	width:200px;
	overflow:hidden;
	cursor:pointer;
}
.sensor_list_filters select.filter_on {
	border:2px solid green;
	padding:2px;
}
.list_gray {
	color:#aaa;
}
.active-scaffold div .sensor_list_filters {padding:5px 10px;margin:0px -4px;}

.currently_active_alert_count {
	color:#ff0000;
	background:#fff;
	padding:0px 4px;
	border:1px solid #ff6666;
}
.currently_active_alert_count:hover {
	background:#fff;
	border:1px solid #fff;
}

.currently_need_check_count {
	color: #ffd30d;
	background:#fff;
	padding:0px 4px;
	border:1px solid #ffde09;
}
.currently_need_check_count:hover {
	background:#fff;
	border:1px solid #fff;
}

.generic-message {padding:10px;border:1px solid #ccc;margin:5px 0;}

.sensor_list_table td.add_new_note {padding:0px 10px 10px 10px;}
.sensor_list_table td.add_new_note h2{margin:10px 0 2px 0;}
.sensor_list_table td.add_new_note input{width:400px;padding:2px;}
.sensor_list_table td.add_new_note input.note_submit{width:60px;padding:2px;}
.sensor_list_table td.add_new_note input.battery_info_submit {width:150px;padding:2px;}

.close_note{float:right;margin:5px -5px 0 0;}
.close_note:hover{cursor:pointer}

.battery_change_form {padding:10px; font-size:14px;}
.battery_change_form img { float:left; }

.large_padding_message {display:block;text-align:center;padding:100px 0;}
.large_padding_message  p {font-size:16px;}

.alert_row{padding:10px;border-bottom:1px solid #ccc;}
.alert_stripe {background:#f3f9ff;}
.alert_row_response {padding:10px 0px 0px 40px;}
.alert_row_response_author {padding:2px 0px 10px 40px;font-size:10px;color:#888;}

.sensor_grid_header_explain {
	font-size:12px;
	font-style:italic;
	color:#888;
	padding:0 10px 5px 10px;
}
.sensor_grid_header_explain a {
	text-decoration: none;
}
.sensor_grid_header_explain a:hover {
	text-decoration: underline;
}

p.tiptext {font-size:12px;color:#555;font-style:italic;margin:0;padding:5px 10px;}
p.notetext {font-size:12px;color:#555;font-style:italic;margin:0;padding:5px 10px;}
.tiptext b {font-weight:bold;}
.notetext b {font-weight:bold;}

.left_button_wrapper{display:block;margin:15px 0;}
.sensor_pick_list {width:280px;overflow:scroll;padding:10px;border:1px solid #ccc;height:250px;}
.show_alert_condition td {vertical-align:top;}

.styled_report_form form {padding-left:20px;margin-bottom:10px;}

.hourly_summary_table {width:100%;}
.hourly_summary_table th {padding:4px 6px;text-align:right;border-bottom:1px solid #888;}
.hourly_summary_table td {padding:4px 6px;border-bottom:1px solid #ddd;text-align:right;border-right:1px solid #ddd;}
.hourly_summary_table tr.odd td {background:#efefef;border-bottom:1px solid #bbb;}
.hourly_summary_table tr td.row_header {font-weight:bold;border-right:1px solid #888;}

.daily_summary_table td {text-align: left;}
.daily_summary_table th {text-align: left;}

#alert_recipient_existing .alert_recipient select {width:225px;}
.day_schedule_prefix span{float:left;width:120px;padding-left:40px;text-align:left;margin-top:2px;}
#daily_user_schedule select {margin:0 10px;}
#daily_user_schedule p {border-bottom:1px solid #ddd;padding:5px 0;margin:0;}
#daily_user_schedule {background:#fff;padding:0;border-top:1px solid #ddd;width: 470px;text-align:center;}
#daily_user_schedule.schedule_disabled {color:#888;background:#f5f5f5;}
#daily_user_schedule.schedule_disabled select {background:#eee;color:#aaa;}
select.schedule_select_disabled {background:#eee;color:#aaa;}



.user_profile_section {padding:20px 10px;}
.user_profile_section h2 {font-size:16px;font-weight:normal;background:#f5f5f5;border-bottom:1px solid #0066cc;border-top:1px solid #ddd;padding:10px;}
.user_profile_section h2 span {line-height:32px;}
.user_profile_section h2 img{padding:0 10px 0 0;margin:0;float:left;}
.user_profile_subsection {padding:20px;}

.system-setting-options p.test_system_setting_update {
	padding-left:205px;
}


.out_of_range_high {
	padding:2px 10px;text-align:center;display:block;background:#ffcccc;border:1px solid #ff6666;
}

.out_of_range_low {
	padding:2px 10px;text-align:center;display:block;background:#e6f2ff;border:1px solid #0066cc;
}

.out_of_range_door {
	padding:2px 10px;text-align:center;display:block;background:#dddddd;border:1px solid #000000;
}

.font_menu {
	color:#fff;
	background:#0066cc;
  display:block;
  height:72px;
}
.font_menu li {
	text-align: center;
	padding:0px;margin:0px 15px;
}
.font_menu li:hover {
  -moz-box-shadow:    inset 0px 0px 6px rgba(0, 0, 0, 0.3);
  -webkit-box-shadow: inset 0px 0px 6px rgba(0, 0, 0, 0.3);
  box-shadow:         inset 0px 0px 6px rgba(0, 0, 0, 0.3);
}
.font_menu li a {
	padding:0; margin:0;
	text-align: center;
	color:#fff;
	font-weight: normal;
	text-shadow: black 0.1em 0.1em 0.2em;
}
.font_menu li:hover a{
	text-shadow: white 0.1em 0.1em 0.2em;
}
.font_menu li a:hover {
	text-decoration: none;
	text-shadow: white 0.1em 0.1em 0.2em;
}
.font_menu li i {
	font-size:32px;
	text-align: center;
	margin-bottom:5px;
}
.font_menu li a:hover i {
	text-decoration: none;
}
.font_menu .font_menu_image {
	padding:8px 15px;
}



.font_menu {
	display:none;
}

.show_hide_button {
	padding-top: 2px;
	padding-bottom: 2px;
	padding-left: 5px;
	padding-right: 5px;
	cursor:pointer;
	background: #23A1F4;
    color: #FFF;
    font-size: 12px;
}

.show_hide_button:hover {
	border: 1px solid #ccc;
}

#alert_reset_button {
	position: relative;
	left: 10px;
	float: left;
	padding-top: 1px;
	padding-bottom: 1px;
	padding-left: 2px;
	padding-right: 2px;
	cursor:pointer;
	background: #23A1F4;
    color: #FFF;
    font-size: 10px;
	border: 1px solid transparent;
}

#alert_reset_button:hover {
	border: 1px solid #ccc;
}

.schedule_reset_button {
	cursor: pointer;
  display: inline;
  text-decoration: none;
}

.schedule_reset_button:hover {
	text-decoration: underline;
}

.schedule_table {
	display: inline-block;
	width: auto;
}

.schedule_table input[type=checkbox] {
	display: none;
}

.schedule_table div {
	width: 40px;
	height: 20px;
	border-style: solid;
	border-width: 1px;
	border-color: black;
	padding: 0px;
	margin: -2px;
	cursor:pointer;
}

.schedule_table .uncheck {
	background-color: #ccc;
}

.schedule_table .check {
	background-color: #23A1F4;
}

.schedule_table td {
	width: 0px;
	padding: 0px;
	margin: -10px;
}

.schedule_table th {
	background: none;
	font-weight: normal;
	font-size: 10px;
	text-align: left;
	padding: 0px;
}

.schedule_table span {
	font-size: 8px;
}

#screen_column_select {
	display: inline;
	float: left;
}



#screen_column_select_options{
	float:right;
	display:inline;
	width:150px;
}
#screen_column_select_options #scroll_options {
	border: 1px solid #ccc;
	height: 400px;
	overflow-y: scroll;
	overflow-x: hidden;
	background: #fff;

}
#screen_column_select_options .column_submit {
	text-align: center;
	width:150px;
	padding:10px 0;
	background: url('../images/button_back.png') repeat-x;
}
#screen_column_select_options .option {
	cursor:pointer;
	padding: 5px;
	width: 100%;
	text-align: center;
	font-size: 14px;
	background-color: #eee;
	color: #000;
	border-bottom: 1px solid #ccc
}
#screen_column_select_options .selected {
	background-color: #24a2f5;
	color: #fff;
}
#screen_column_select_options .option:hover {
	border: 1px solid #000;
}







#screen_column_select #screen_column_select_options #scroll_options {
	border: 1px solid #ccc;
	height: 400px;
	width: 150px;
	float: right;
	position: relative;
	top: 28px;
	left: 157px;
	overflow-y: scroll;
	overflow-x: hidden;
}

#screen_column_select a {
	width: 135px;
	text-align: center;
	display: block;
	margin-right: -15px;
}

#screen_column_select .option {
	cursor:pointer;
	padding: 5px;
	width: 100%;
	text-align: center;
	font-size: 14px;
	background-color: #eee;
	color: #000;
	border-bottom: 1px solid #ccc
}

#screen_column_select .selected {
	background-color: #24a2f5;
	color: #fff;
}

#screen_column_select .option:hover {
	border: 1px solid #000;
}

#sensor_quick_check a {
	padding: 4px 8px;
	font: bold 14px arial;
	background-color: #efefef;
	border: 1px solid #ccc;
	color: #06c;
	text-decoration: none;
	margin: 2px;
}

#sensor_quick_check .disabled {
	color: #aaa !important;
	background-color: #F3F9FF !important;
}

#sensor_quick_check .check_button {
	font: bold 10px arial;
	padding: 3px 6px;
}

#sensor_quick_check .check_button_table {
	width: 100%;
}

#sensor_quick_check .check_button_table td {
	border:none !important;
}

#sensor_quick_check .check_button_table input {
	width: 100%;
}

#sensor_quick_check .in_range_buttons {
	margin-top: 10px;
	margin-bottom: 10px;
}

#sensor_quick_check a:hover {
	background-color: #F3F9FF;
}

#sensor_quick_check .sensor_list_table_quick_check td {
	background-color: inherit;
}

#sensor_quick_check .alert_row {
	border:none !important;
	width: 100%;
}

#sensor_quick_check .table_indent {
	padding-left: 40px;
}

#sensor_quick_check .check_after {
	display:block;
	color:#aaa;
	font-size:20px;
	font-weight:normal;
	text-align:center;
}

.check_button_table a {
	padding: 4px 8px;
	font: bold 14px arial;
	background-color: #efefef;
	border: 1px solid #ccc;
	color: #06c;
	text-decoration: none;
	margin: 2px;
}

.check_button_table .disabled {
	color: #aaa !important;
	background-color: #F3F9FF !important;
}

.check_button_table .check_button {
	font: bold 10px arial;
	padding: 3px 6px;
}

.check_button_table {
	width: 100%;
}

.check_button_table td {
	border:none !important;
}

.check_button_table input {
	width: 100%;
}

.back_button {
	background:#0066cc;
	color:#fff;
	font-size:12px;
	font-weight:bold;
	padding:5px 10px;
	text-decoration: none;
	border-radius: 5px;
	border:1px solid #0055bb;
}

.back_button:hover {
	text-decoration: underline;
	background: #0055bb;
	border:1px solid #0044aa;
}

.schedule_detail {
	margin:20px;
}
.schedule_detail h3 {
	font-size:16px;
}

.schedule_detail .schedule_table div  {
	cursor:auto;
}


.medium_padded {
	font-size:12px;
	display:block;
	padding:10px 0;
	line-height:40px;
}





.graph_sensor_data {
	margin-left:310px;
}

.graph_sensor_list {
	width:300px;
	float:left;
}
.graph_sensor_list h1 {
	height:27px;
}
.graph_sensor_list .list-group {
	margin-bottom:10px;
}
.graph_sensor_list .list-group-item {
	padding:8px 10px;
}
.graph_sensor_list a.list-group-item:hover {
  background: #ffffdd;
  cursor: pointer;
}
.graph_sensor_list .list-group-item.highlight { 
  background: #ffffdd;
}
.graph_sensor_list a.list-group-item {
	color:#444;
	text-decoration: none;
}


#graph_tabs {
	float:right;
	margin-bottom:10px;
}
#graph_tabs a.button { 
	background-position: 0px 50%;
	border:1px solid #aaa;
	color:#0066cc;
	text-decoration:none;
	font: normal normal bold 14px/normal arial;
	padding-left:25px;
	padding: 3px 8px 4px 25px;
}

.calendar_button {background: url('../images/calendar-button.png') #f9f9f9 repeat-x;}
.calendar_button:hover {background: url('../images/calendar-button-hover.png') #dfe0e1 repeat-x;background-position: 0px 50%;}
.export_button {background: url('../images/export-button.png') #f9f9f9 repeat-x;}
.export_button:hover {background: url('../images/export-button-hover.png') #dfe0e1 repeat-x;background-position: 0px 50%;}
.graph_button {background: url('../images/chart-button.png') #f9f9f9 repeat-x;}
.graph_button:hover {background: url('../images/chart-button-hover.png') #dfe0e1 repeat-x;background-position: 0px 50%;}


#dashboard_time_inner {
}
.graph_timeframe {margin-right:10px;font-size:12px;}
.graph_timeframe a {padding:4px 6px;text-decoration:none;font-weight:bold;border:1px solid #fff;}
.graph_timeframe a:hover {text-decoration:none;background:#f2f2f2;border:1px solid #ccc;}
.graph_timeframe .current_timeframe {padding:4px 6px;font-weight:bold;border:1px solid #ccc;}

#chartjs-tooltip {
  opacity: 0.0;
  position: absolute;
  background: #555;
  color: white;
  padding: 3px;
  border-radius: 3px;
  pointer-events: none;
}
.chartjs-tooltip-key{
  display:inline-block;
  width:10px;
  height:10px;
}
ul.line-legend {
  list-style: none;
  display:block;
  text-align:center;
  margin-top:10px;
}
ul.line-legend li {
  display:inline;
  margin:0 10px;
}
ul.line-legend li span {
  width:10px;height:10px;
  display:inline-block;
  margin-right:5px;
}


.graph_cal_link {
	display:block;
	height:100%;
	width:100%;
	padding-top:15px;
	text-decoration: none;
}

.graph_cal_link:hover {
  background: #ffffdd;
}

#graph_cal_wrap .cal_data {
	padding:0;
	height:80px;
}

#graph_forward_back {
	width:100%;
	border:1px solid #ccc;
	border-bottom:0px;

	border-top:1px solid #ccc;border-bottom:1px solid #ccc;
	background: #efefef url('../images/time_grad.png') repeat-x;
}
#graph_forward_back .forward_back_time {
	font-size:16px;
}
#graph_forward_back td {
	text-align: center;
	padding:10px;
}

#graph_forward_back td.back_arrow, #graph_forward_back td.forward_arrow {
	width:20px;
 padding:0;
}

#graph_forward_back td.back_arrow:hover, #graph_forward_back td.forward_arrow:hover {
 cursor:pointer; 
 background:#fefefe;
}
#graph_forward_back td.back_arrow a, #graph_forward_back td.forward_arrow a{
	display:block;
	padding:15px 20px; 
}

.search_tooltip {
	display:block;
	color:#888;
	padding-top:5px;
}



.check_report_review {
	display:block;
	margin-top:20px;
}
.check_report_review .review_button {
	float:right;
	padding:5px 10px 5px 5px;
}
.needs_review {
	font-size:14px;
	color:#ec4a4a;
}
.already_reviewed {
	font-size:14px;
	color:#6dc462;
}
.check_report_review a {
	font-size:16px;
	text-decoration: none;
	border:1px solid #0066cc;
	border-radius: 4px;
	padding:5px;
}
.check_report_review a:hover {
	color:#fff;
	background: #0066cc;
}

.leave_check_report_review {
	padding:10px 10px 0px 10px;
	border-top:1px solid #ccc;
	margin:30px 0 0 0;
	font-size:14px;
}
.leave_check_report_review form {
	padding:10px;
}
.leave_check_report_review input {
	font-size:16px;
	line-height: 16px;
}
.leave_check_report_review .review_comment_input {
	width:400px;
	line-height: 18px;
	font-size: 16px;
	padding:4px 2px;
}
.p_heading {
	font-size:16px;
}
.report-review-save input {
    border: 1px solid #fff;display:inline;
    padding: 7px 20px 6px 20px;font-size:14px;font-weight:bold;color:#333;
    cursor:pointer;background: url('../images/button_back.png') repeat-x;
}
.report-review-save input:hover {border: 1px solid #ccc;background: url('../images/button_back.png') repeat-x;}
.report-review-saved input {color:#aaa;border:1px solid #ccc;background:url('../images/as/g-back.png') #eae9ea repeat-x;cursor:default;}
.report-review-saved input:hover {background:url('../images/as/g-back.png') #eae9ea repeat-x;}

table.check_report_review_table {
	margin-top:10px;
	border: 1px solid #bbb;
}
table.check_report_review_table th {
	padding:5px 10px;
	text-align: left;
	border-bottom:1px solid #bbb;
	background: #efefef;
}
table.check_report_review_table tr {
	border-top: 1px solid #bbb;
}
table.check_report_review_table tr + tr {
	border-top: 1px solid #ccc;
}
table.check_report_review_table td {
	padding:5px 10px;
	border-bottom: 1px solid #ccc;
}
table.check_report_review_table td + td {
	border-left: 1px solid #ccc;
}
.partial_month_review {
	float:right;
	margin-right:10px;
	font-size:12px;
	color:#888;
}

.report_review_sub_table {
	padding:10px 10px 20px 10px;
}
.report_review_sub_table table {
	width:100%;
}
.report_review_sub_table .inset_review_table {
	padding-left:20px;
}






